"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RankingApiClient = void 0;
class RankingApiClient {
    constructor(apiUriBase, requestFactory, requestSender) {
        this.apiUriBase = apiUriBase;
        this.requestFactory = requestFactory;
        this.requestSender = requestSender;
    }
    getOrganisationCards(filters, limit, offset) {
        return __awaiter(this, void 0, void 0, function* () {
            const uri = this.constructUri('cards');
            const request = this.requestFactory.get(uri).query(Object.assign(Object.assign({}, filters), { limit, offset }));
            const result = yield this.requestSender.sendAndExtractBody(request);
            return result;
        });
    }
    constructUri(relativeUri) {
        return this.apiUriBase + '/' + relativeUri;
    }
}
exports.RankingApiClient = RankingApiClient;
//# sourceMappingURL=ranking-api-client.js.map